/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CancelElasticsearchServiceSoftwareUpdateInput } from "../types/CancelElasticsearchServiceSoftwareUpdateInput";
import { CancelElasticsearchServiceSoftwareUpdateOutput } from "../types/CancelElasticsearchServiceSoftwareUpdateOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/CancelElasticsearchServiceSoftwareUpdateInput";
export * from "../types/CancelElasticsearchServiceSoftwareUpdateOutput";
export * from "../types/CancelElasticsearchServiceSoftwareUpdateExceptionsUnion";
export declare class CancelElasticsearchServiceSoftwareUpdateCommand implements __aws_sdk_types.Command<InputTypesUnion, CancelElasticsearchServiceSoftwareUpdateInput, OutputTypesUnion, CancelElasticsearchServiceSoftwareUpdateOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: CancelElasticsearchServiceSoftwareUpdateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CancelElasticsearchServiceSoftwareUpdateInput, CancelElasticsearchServiceSoftwareUpdateOutput, _stream.Readable>;
    constructor(input: CancelElasticsearchServiceSoftwareUpdateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<CancelElasticsearchServiceSoftwareUpdateInput, CancelElasticsearchServiceSoftwareUpdateOutput>;
}
