/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateElasticsearchDomainConfigInput } from "../types/UpdateElasticsearchDomainConfigInput";
import { UpdateElasticsearchDomainConfigOutput } from "../types/UpdateElasticsearchDomainConfigOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/UpdateElasticsearchDomainConfigInput";
export * from "../types/UpdateElasticsearchDomainConfigOutput";
export * from "../types/UpdateElasticsearchDomainConfigExceptionsUnion";
export declare class UpdateElasticsearchDomainConfigCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateElasticsearchDomainConfigInput, OutputTypesUnion, UpdateElasticsearchDomainConfigOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateElasticsearchDomainConfigInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateElasticsearchDomainConfigInput, UpdateElasticsearchDomainConfigOutput, _stream.Readable>;
    constructor(input: UpdateElasticsearchDomainConfigInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<UpdateElasticsearchDomainConfigInput, UpdateElasticsearchDomainConfigOutput>;
}
