"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateElasticsearchDomainConfigInput_1 = require("../shapes/UpdateElasticsearchDomainConfigInput");
const UpdateElasticsearchDomainConfigOutput_1 = require("../shapes/UpdateElasticsearchDomainConfigOutput");
const BaseException_1 = require("../shapes/BaseException");
const InternalException_1 = require("../shapes/InternalException");
const InvalidTypeException_1 = require("../shapes/InvalidTypeException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ValidationException_1 = require("../shapes/ValidationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateElasticsearchDomainConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateElasticsearchDomainConfig",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/domain/{DomainName}/config"
    },
    input: {
        shape: UpdateElasticsearchDomainConfigInput_1.UpdateElasticsearchDomainConfigInput
    },
    output: {
        shape: UpdateElasticsearchDomainConfigOutput_1.UpdateElasticsearchDomainConfigOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: InvalidTypeException_1.InvalidTypeException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=UpdateElasticsearchDomainConfig.js.map