"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetUpgradeHistoryInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string",
                min: 3
            },
            location: "uri",
            locationName: "DomainName"
        },
        MaxResults: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        }
    }
};
//# sourceMappingURL=GetUpgradeHistoryInput.js.map