"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ElasticsearchVersionStatus_1 = require("./_ElasticsearchVersionStatus");
const _ElasticsearchClusterConfigStatus_1 = require("./_ElasticsearchClusterConfigStatus");
const _EBSOptionsStatus_1 = require("./_EBSOptionsStatus");
const _AccessPoliciesStatus_1 = require("./_AccessPoliciesStatus");
const _SnapshotOptionsStatus_1 = require("./_SnapshotOptionsStatus");
const _VPCDerivedInfoStatus_1 = require("./_VPCDerivedInfoStatus");
const _CognitoOptionsStatus_1 = require("./_CognitoOptionsStatus");
const _EncryptionAtRestOptionsStatus_1 = require("./_EncryptionAtRestOptionsStatus");
const _NodeToNodeEncryptionOptionsStatus_1 = require("./_NodeToNodeEncryptionOptionsStatus");
const _AdvancedOptionsStatus_1 = require("./_AdvancedOptionsStatus");
const _LogPublishingOptionsStatus_1 = require("./_LogPublishingOptionsStatus");
exports._ElasticsearchDomainConfig = {
    type: "structure",
    required: [],
    members: {
        ElasticsearchVersion: {
            shape: _ElasticsearchVersionStatus_1._ElasticsearchVersionStatus
        },
        ElasticsearchClusterConfig: {
            shape: _ElasticsearchClusterConfigStatus_1._ElasticsearchClusterConfigStatus
        },
        EBSOptions: {
            shape: _EBSOptionsStatus_1._EBSOptionsStatus
        },
        AccessPolicies: {
            shape: _AccessPoliciesStatus_1._AccessPoliciesStatus
        },
        SnapshotOptions: {
            shape: _SnapshotOptionsStatus_1._SnapshotOptionsStatus
        },
        VPCOptions: {
            shape: _VPCDerivedInfoStatus_1._VPCDerivedInfoStatus
        },
        CognitoOptions: {
            shape: _CognitoOptionsStatus_1._CognitoOptionsStatus
        },
        EncryptionAtRestOptions: {
            shape: _EncryptionAtRestOptionsStatus_1._EncryptionAtRestOptionsStatus
        },
        NodeToNodeEncryptionOptions: {
            shape: _NodeToNodeEncryptionOptionsStatus_1._NodeToNodeEncryptionOptionsStatus
        },
        AdvancedOptions: {
            shape: _AdvancedOptionsStatus_1._AdvancedOptionsStatus
        },
        LogPublishingOptions: {
            shape: _LogPublishingOptionsStatus_1._LogPublishingOptionsStatus
        }
    }
};
//# sourceMappingURL=_ElasticsearchDomainConfig.js.map