/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateElasticsearchDomainInput } from "../types/CreateElasticsearchDomainInput";
import { CreateElasticsearchDomainOutput } from "../types/CreateElasticsearchDomainOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/CreateElasticsearchDomainInput";
export * from "../types/CreateElasticsearchDomainOutput";
export * from "../types/CreateElasticsearchDomainExceptionsUnion";
export declare class CreateElasticsearchDomainCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateElasticsearchDomainInput, OutputTypesUnion, CreateElasticsearchDomainOutput, ElasticsearchServiceResolvedConfiguration, _stream.Readable> {
    readonly input: CreateElasticsearchDomainInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateElasticsearchDomainInput, CreateElasticsearchDomainOutput, _stream.Readable>;
    constructor(input: CreateElasticsearchDomainInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateElasticsearchDomainInput, CreateElasticsearchDomainOutput>;
}
