"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeElasticsearchDomainsInput_1 = require("../shapes/DescribeElasticsearchDomainsInput");
const DescribeElasticsearchDomainsOutput_1 = require("../shapes/DescribeElasticsearchDomainsOutput");
const BaseException_1 = require("../shapes/BaseException");
const InternalException_1 = require("../shapes/InternalException");
const ValidationException_1 = require("../shapes/ValidationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeElasticsearchDomains = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeElasticsearchDomains",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/domain-info"
    },
    input: {
        shape: DescribeElasticsearchDomainsInput_1.DescribeElasticsearchDomainsInput
    },
    output: {
        shape: DescribeElasticsearchDomainsOutput_1.DescribeElasticsearchDomainsOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DescribeElasticsearchDomains.js.map