"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetUpgradeHistoryInput_1 = require("../shapes/GetUpgradeHistoryInput");
const GetUpgradeHistoryOutput_1 = require("../shapes/GetUpgradeHistoryOutput");
const BaseException_1 = require("../shapes/BaseException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const ValidationException_1 = require("../shapes/ValidationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUpgradeHistory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUpgradeHistory",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/upgradeDomain/{DomainName}/history"
    },
    input: {
        shape: GetUpgradeHistoryInput_1.GetUpgradeHistoryInput
    },
    output: {
        shape: GetUpgradeHistoryOutput_1.GetUpgradeHistoryOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=GetUpgradeHistory.js.map