"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListElasticsearchInstanceTypesInput_1 = require("../shapes/ListElasticsearchInstanceTypesInput");
const ListElasticsearchInstanceTypesOutput_1 = require("../shapes/ListElasticsearchInstanceTypesOutput");
const BaseException_1 = require("../shapes/BaseException");
const InternalException_1 = require("../shapes/InternalException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ValidationException_1 = require("../shapes/ValidationException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListElasticsearchInstanceTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListElasticsearchInstanceTypes",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/instanceTypes/{ElasticsearchVersion}"
    },
    input: {
        shape: ListElasticsearchInstanceTypesInput_1.ListElasticsearchInstanceTypesInput
    },
    output: {
        shape: ListElasticsearchInstanceTypesOutput_1.ListElasticsearchInstanceTypesOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListElasticsearchInstanceTypes.js.map