"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PurchaseReservedElasticsearchInstanceOfferingInput_1 = require("../shapes/PurchaseReservedElasticsearchInstanceOfferingInput");
const PurchaseReservedElasticsearchInstanceOfferingOutput_1 = require("../shapes/PurchaseReservedElasticsearchInstanceOfferingOutput");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const ResourceAlreadyExistsException_1 = require("../shapes/ResourceAlreadyExistsException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const DisabledOperationException_1 = require("../shapes/DisabledOperationException");
const ValidationException_1 = require("../shapes/ValidationException");
const InternalException_1 = require("../shapes/InternalException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PurchaseReservedElasticsearchInstanceOffering = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PurchaseReservedElasticsearchInstanceOffering",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/purchaseReservedInstanceOffering"
    },
    input: {
        shape: PurchaseReservedElasticsearchInstanceOfferingInput_1.PurchaseReservedElasticsearchInstanceOfferingInput
    },
    output: {
        shape: PurchaseReservedElasticsearchInstanceOfferingOutput_1.PurchaseReservedElasticsearchInstanceOfferingOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceAlreadyExistsException_1.ResourceAlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=PurchaseReservedElasticsearchInstanceOffering.js.map