"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RecurringChargeList_1 = require("./_RecurringChargeList");
exports._ReservedElasticsearchInstance = {
    type: "structure",
    required: [],
    members: {
        ReservationName: {
            shape: {
                type: "string",
                min: 5
            }
        },
        ReservedElasticsearchInstanceId: {
            shape: {
                type: "string"
            }
        },
        ReservedElasticsearchInstanceOfferingId: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchInstanceType: {
            shape: {
                type: "string"
            }
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        Duration: {
            shape: {
                type: "integer"
            }
        },
        FixedPrice: {
            shape: {
                type: "float"
            }
        },
        UsagePrice: {
            shape: {
                type: "float"
            }
        },
        CurrencyCode: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchInstanceCount: {
            shape: {
                type: "integer"
            }
        },
        State: {
            shape: {
                type: "string"
            }
        },
        PaymentOption: {
            shape: {
                type: "string"
            }
        },
        RecurringCharges: {
            shape: _RecurringChargeList_1._RecurringChargeList
        }
    }
};
//# sourceMappingURL=_ReservedElasticsearchInstance.js.map